Whmcs Eklentisi v0.1.6 Hooks Hatası


#1

Merhaba,

Öncelikle böylesi bir modül için teşekkürler! Emeğinize sağlık…

Fakat en son ( v0.1.6 ) sürüm WHMCS modül güncellemesini yüklediğimizde Hooks hatası aldı.

Fatal error: Class ‘Bulutfon\Libraries\Repository’ not found in /modules/addons/bulutfon/hooks.php on line 22

Bu hatadan dolay da WHMCS admin paneline de giriş yapılamıyor. Modülü eaktif etmek zorunda kaldık.

Problemi nasıl giderebiliriz?

Kolay gelsin…


#2

Merhaba

/modules/addons/bulutfon/vendor/composer/autoload_psr4.php 

dosyasini kontrol edip icerigini paylasabilir misiniz acaba?


#3

Merhaba,

Böyle bir klasör indirdiğim dosyalarda gözükmüyor? Tekrar mı indirmem gerekiyor?


#4

Merhaba

Eger indirme islemini bu adres (https://github.com/hakanersu/bulutfon-whmcs/releases/tag/0.1.6) uzerinden yaptiysaniz vendor klasoru hali hazirda olmasi lazim. Eger sunucunuzda composer yuklu ise composer update komutu gerekli paketleri yukleyebilirsiniz aksi taktirde vermis oldugum link uzerinden indirmenizi tavsiye ederim.


#5

Merhaba,

Belirtilen url’deki dosyaları upload ettiğimde de aşağıdaki hatayı verdi.

Fatal error: Uncaught Exception: Unknown Error. thrown in /includes/classes/WHMCS/Terminus.php on line 0

Tekrar kurulum mu yapmamız gerekiyor? Yada oluşturulan API key’i tekrar mı oluşturmak gerekiyor?

Teşekkürler…


#6

Merhaba @SenerK Bey,

Eklenti PHP 5.5+ ve WHMCS 6+ üstünü desteklemektedir. Ayrıca bildiğim kadarıyla CURL istemektedir. Bu konuyla ilgili bir sorun olabilir mi?


#7

Merhaba @onurozgurozkan bey,

WHMCS 6.x
PHP Version 5.4.42
cURL : (v7.38.0)

PHP 5.5+ gereksinimi bu güncelleme ile birlikte mi geldi?


#8

Bildiğim kadarıyla evet. Daha önceki sürüm WHMCS 5 ve PHP 5.4 destekliyordu diye hatırlıyorum.


#9

Tamamdır PHP güncellendi.

WHMCS 6.x
PHP Version 5.5
cURL / iouncube / Zend

Fakat şimdi de şöyle bir hata alıyorum;

Fatal error: Uncaught --> Smarty: unable to write file templates_c/wrt5658c4544dab48_45277881 <-- thrown in public_html/xxxx/includes/classes/WHMCS/Terminus.php on line 0

Bulutfon’dan yetkilendir derken de bu hatayı alıyorum.


#10

Merhabalar,

Konu ile alakalı bir gelişme var mı acaba? Tekrar yükledim aynı hatayı alıyorum. templates_c klasörü chmod ayarı 777

@onurozgurozkan @xuma

Şimdiden teşekkürler…


#11

Üzerinden 1 yıl geçmesine rağmen bu problemi PHP 5.6.x versiyonuna upgrade edince çözebildik. :slight_smile: